Index: Dev/branches/rest-dojo-ui/client/mockup.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mockup.html	(revision 335)
+++ Dev/branches/rest-dojo-ui/client/mockup.html	(revision 336)
@@ -66,6 +66,49 @@
                 <span class="breadcrumb breadcrumbCurrent">Survey 123 [Editing]</span>
             </div>
-        </div>
+        </div>  <!-- HEADER -->
         <div class="content" data-dojo-type="dijit.layout.ContentPane">
+            <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 500px;">
+                <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                    Title and icon
+                </div>
+                <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
+                    <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                        Presets
+                    </div>
+                    <div data-dojo-type="dijit.layout.TabContainer" data-dojo-props="tabPosition:'left-h',region:'center'">
+                        <div data-dojo-type="dijit.layout.ContentPane" title="Category One">
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one', color: 'blue'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two', color: 'blue'"></div>
+                        </div>
+                        <div data-dojo-type="dijit.layout.ContentPane" title="Category Two">
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one', color: 'orange'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two', color: 'orange'"></div>
+                        </div>
+                        <div data-dojo-type="dijit.layout.ContentPane" title="Category Three">
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one', color: 'green'"></div>
+                        </div>
+                        <div data-dojo-type="dijit.layout.ContentPane" title="Category Four">
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one', color: 'red'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two', color: 'red'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three', color: 'red'"></div>
+                        </div>
+                        <div data-dojo-type="dijit.layout.ContentPane" title="Category Five">
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one', color: 'purple'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two', color: 'purple'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three', color: 'purple'"></div>
+                            <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat four', color: 'purple'"></div>
+
+                        </div>
+                    </div>
+                </div>
+                <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'right'" style="width: 300px">
+                    <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'">
+                        <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question one', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, class:'black'}}}"></div>
+                        <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question two', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, class:'black'}}}"></div>
+                    </div>
+                </div>
+            </div>
+
+            <!--
             <div class="title">
                 <div class="rftIcon rftMainIcon rftMainIconSurvey"></div><h2 class="titleText">Survey 123 [Editing]</h2>
@@ -119,4 +162,5 @@
                 </div>
             </div>
+            -->
         </div>
     </body>