Index: Dev/branches/rest-dojo-ui/client/mSessions.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mSessions.html	(revision 342)
+++ Dev/branches/rest-dojo-ui/client/mSessions.html	(revision 342)
@@ -0,0 +1,170 @@
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>Research Facilitator Tool</title>
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dijit/themes/gamelab/gamelab.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/Grid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/claroGrid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/widget/Toaster/Toaster.css" />
+        <link rel="stylesheet" type="text/css" href="rft/css/main.css" />
+        <script type="text/javascript" src="dojotoolkit/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, tlmSiblingOfDojo: false, isDebug: true, baseUrl: '', packagePaths: {'dojotoolkit':['dojo','dijit', 'dojox'], '.':['rft']}"></script>
+        <script type="text/javascript">
+            require([
+                'dojo/parser',
+                'dojo/_base/array',
+                'dijit/DropDownMenu',
+                'dijit/layout/AccordionContainer',
+                'dijit/layout/BorderContainer',
+                'dijit/layout/ContentPane',
+                'dijit/layout/TabContainer',
+                'dijit/layout/SplitContainer',
+                'dijit/MenuBar',
+                'dijit/MenuBarItem',
+                'dijit/form/Button',
+                'dijit/form/ComboBox',
+                'dijit/form/Form',
+                'dijit/form/Select',
+                'dijit/form/SimpleTextarea',
+                'dijit/form/TextBox',
+                'dijit/form/Textarea',
+                'dijit/PopupMenuBarItem',
+                'dijit/TitlePane',
+                'dojox/grid/DataGrid',
+                'dojox/widget/TitleGroup',
+                'rft/ui/List',
+                'rft/ui/MainMenu',
+                'rft/ui/MenuBarLink',
+                'rft/ui/MenuLink',
+                'rft/ui/Notifications',
+                'rft/ui/LineWithActionsWidget',
+                'rft/ui/QuestionWidget',
+                'rft/ui/Selector',
+                'rft/ui/SelectorThijs',
+                'rft/ui/LineWithActionsWidgetThijs',
+                'rft/ui/TitleGroup',
+                'dojo/domReady!'
+            ],function(parser){
+                parser.parse();
+            });
+        </script>
+        <script>
+            function createNew(){
+                /* There is no way this should be handled as such. Create an rftSessionBar templated widget for this! */
+                
+                require([
+                    'dojo/_base/array',
+                    'dojo/query',
+                    'dojo/dom-construct'
+                ], function(array, query, domConstruct){
+                    var props1 = {
+                        title: 'Session name',
+                        modifiers: 'purple',
+                        actions: {
+                            "Inspect": {
+                                callback: function(){alert("Info display!");},
+                                properties: {
+                                    modifiers: 'trans',
+                                    blockButton: false
+                                }
+                            }
+                        }
+                    };
+                    var props2 = {
+                        modifiers: 'purple',
+                        title: 'Creator and creation date'
+                    };
+                    var props3 = {
+                        modifiers: 'purple',
+                        actions: {
+                            "FullArrowUp": {
+                                callback: function(){alert("Moving up...");},
+                                properties: {
+                                    modifiers: 'trans',
+                                    blockButton: true}
+                            },
+                            "FullArrowDown": {
+                                callback: function(){alert("Moving down...");},
+                                properties: {
+                                    blockButton: true,
+                                    modifiers: 'trans'
+                                }
+                            }
+                        }
+                    };
+                    // Tab container div
+                    var container = array.filter(query(".dijitContentPane"), function(item){
+                        return item.id.toLowerCase() == "mainOne".toLowerCase();
+                    })[0];
+                    // rftSessionBar root node
+                    var root = domConstruct.create("div", {
+                        className: "rftSessionBar"
+                    }, container);
+                    // Icon
+                    domConstruct.create("div", {
+                        className: "rftIcon typeIcon rftIconSession"
+                    }, root);
+                    var line1 = new rft.ui.LineWithActionsWidgetThijs(props1).placeAt(root);
+                    var line2 = new rft.ui.LineWithActionsWidgetThijs(props2).placeAt(root);
+                    var line3 = new rft.ui.LineWithActionsWidgetThijs(props3).placeAt(root);
+                    line1.startup();
+                    line2.startup();
+                    line3.startup();
+                    
+                });
+            }
+            
+            
+        </script>
+
+
+    </head>
+    <body class="dijitReset claro">
+        <div class="page" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+            <!-- Top menu bar -->
+            <div class="topbar" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                <h1>ResearchTool</h1>
+                <div data-dojo-type="dijit.MenuBar">
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Sessions</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Content</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Results</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Log out</div>
+                </div>
+                <div class="breadcrumbs">
+                    <span class="breadcrumb">User > </span>
+                    <span class="breadcrumbCurrent">Sessions</span>
+                </div>
+            </div>
+            <!-- Main content window -->
+            <div class="content" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+                <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 500px;">
+                    <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                        <h2>
+                            <span class="rftIcon rftIconSession"></span>
+                            <span class="headerText">Sessions</span>
+                        </h2>
+                    </div>
+                    <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
+                        <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Templates" id="mainOne">
+
+                                <div class="rftSessionBar">
+                                    <div class="rftIcon typeIcon rftIconSession"></div>
+                                    <div style="font-weight: bold;" data-dojo-type="rft.ui.LineWithActionsWidgetThijs" title="Teamup 25-5-2012" data-dojo-props="modifiers: 'green', actions: {'Inspect':{callback: function(){}, properties: {blockButton: false, modifiers: 'white', showLabel: false}}}"></div>
+                                    <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" title="Created by Arne Bezuijen on 25-01-2012 15:19" data-dojo-props="modifiers: 'green', actions: {}"></div>
+                                    <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" title="" data-dojo-props="modifiers: 'green', actions: {'FullArrowUp':{callback: function(){}, properties: {blockButton: true, modifiers: 'trans', label: 'Publish'}}, 'Cancel':{callback: function(){}, properties: {blockButton: true, modifiers: 'trans', label: 'Delete'}},'Accept':{callback: function(){this.set('title','NEW TITLE YO');}, properties: {blockButton: true, modifiers: 'trans', label:'Edit/View'}}}"></div>
+                                </div>
+
+                                <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSession', onClick: createNew">Create new session</div>
+
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Sessions">
+
+                            </div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </body>
+</html>
Index: Dev/branches/rest-dojo-ui/client/mSurvey.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mSurvey.html	(revision 342)
+++ Dev/branches/rest-dojo-ui/client/mSurvey.html	(revision 342)
@@ -0,0 +1,126 @@
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>Research Facilitator Tool</title>
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dijit/themes/gamelab/gamelab.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/Grid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/claroGrid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/widget/Toaster/Toaster.css" />
+        <link rel="stylesheet" type="text/css" href="rft/css/main.css" />
+        <script type="text/javascript" src="dojotoolkit/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, tlmSiblingOfDojo: false, isDebug: true, baseUrl: '', packagePaths: {'dojotoolkit':['dojo','dijit', 'dojox'], '.':['rft']}"></script>
+        <script type="text/javascript">
+            require([
+                'dojo/parser',
+                'dijit/DropDownMenu',
+                'dijit/layout/AccordionContainer',
+                'dijit/layout/BorderContainer',
+                'dijit/layout/ContentPane',
+                'dijit/layout/TabContainer',
+                'dijit/layout/SplitContainer',
+                'dijit/MenuBar',
+                'dijit/MenuBarItem',
+                'dijit/form/Button',
+                'dijit/form/ComboBox',
+                'dijit/form/Form',
+                'dijit/form/Select',
+                'dijit/form/SimpleTextarea',
+                'dijit/form/TextBox',
+                'dijit/form/Textarea',
+                'dijit/PopupMenuBarItem',
+                'dijit/TitlePane',
+                'dojox/grid/DataGrid',
+                'dojox/widget/TitleGroup',
+                'rft/ui/List',
+                'rft/ui/MainMenu',
+                'rft/ui/MenuBarLink',
+                'rft/ui/MenuLink',
+                'rft/ui/Notifications',
+                'rft/ui/LineWithActionsWidget',
+                'rft/ui/QuestionWidget',
+                'rft/ui/Selector',
+                'rft/ui/SelectorThijs',
+                'rft/ui/LineWithActionsWidgetThijs',
+                'rft/ui/TitleGroup',
+                'dojo/domReady!'
+            ],function(parser){
+                parser.parse();
+            });
+        </script>
+    </head>
+    <body class="dijitReset claro">
+        <div class="page" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+            <!-- Top menu bar -->
+            <div class="topbar" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                <h1>ResearchTool</h1>
+                <div data-dojo-type="dijit.MenuBar">
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Sessions</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Content</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Results</div>
+                    <div data-dojo-type="dijit.MenuBarItem" class="rftMainMenuButton">Log out</div>
+                </div>
+                <div class="breadcrumbs">
+                    <span class="breadcrumb">User > </span>
+                    <span class="breadcrumb">Session > </span>
+                    <span class="breadcrumbCurrent">Survey A [editing]</span>
+                </div>
+            </div>
+            <!-- Main content window -->
+            <div class="content" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+                <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 500px;">
+                    <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                        <h2>
+                            <span class="rftIcon rftIconSurvey"></span>
+                            <span class="headerText">Survey A [editing]</span>
+                        </h2>
+                    </div>
+                    <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
+                        <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                            Presets
+                        </div>
+                        <div data-dojo-type="dijit.layout.TabContainer" class="blue" data-dojo-props="tabPosition:'left-h',region:'center'">
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Category One, this is a very long title to see how overflow works. This part is cut off because it passes two lines at 200px wide.">
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Category Two">
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Category Three">
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Category Four">
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Green Question Subcat one'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three'"></div>
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Category Five">
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three'"></div>
+                                <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat four'"></div>
+
+                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconAccept'">Properties</button>
+                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconPreview'">Preview</button>
+                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconCancel'">Discard</button>
+                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconAccept'">Accept changes</button>
+                            </div>
+                        </div>
+                    </div>
+                    <!-- "Shopping cart" -->
+                    <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'right'" style="width: 300px">
+                        <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'top'">
+                            <h3>Included questions</h3>
+                        </div>
+                        <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'">
+                            <!-- These would have to be dynamically generated instead of declared here! -->
+                            <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question one', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, modifiers:'white'}}}"></div>
+                            <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question two', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, modifiers:'white'}}}"></div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </body>
+</html>
Index: Dev/branches/rest-dojo-ui/client/rft/css/layout.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 342)
@@ -45,4 +45,5 @@
     /* Section headers */
     font-size: 18px;
+    margin: 0 0 4px 0;
 }
 .claro h4 {
@@ -69,4 +70,5 @@
     height: 16px;
     line-height: 16px;
+    margin: 0 0 4px 0;
 }
 .claro .breadcrumbs .breadcrumb {
Index: Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 342)
@@ -63,10 +63,11 @@
 }
 .claro .rftBlockButton .rftIcon {
-    height: 16px;
-    width: 16px;
-    background-image: url('images/icons/rftIcons16.png');
+    height: 16px !important;
+    width: 16px !important;
+    background-image: url('images/icons/rftIcons16.png') !important;
+    margin-right: 4px !important;
 }
 .claro .rftBlockButton.rftBlockButtonHover .rftIcon {
-    background-image: url('images/icons/rftIcons16black.png');
+    background-image: url('images/icons/rftIcons16black.png') !important;
 }
 .claro .rftBlockButton.rftBlockButtonHover .dijitButtonNode {
@@ -113,5 +114,11 @@
     color: #993dec;
 }
-
+.claro .rftBlockButton.trans .dijitButtonNode {
+    background: transparent;
+}
+.claro .rftBlockButton.trans.rftBlockButtonHover .dijitButtonNode {
+    background: #ffffff !important;
+    color: #000000;
+}
 
 /* InlineButton */
Index: Dev/branches/rest-dojo-ui/client/rft/css/rftIcons.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/rftIcons.css	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/css/rftIcons.css	(revision 342)
@@ -34,92 +34,113 @@
     background-position: -64px 0px;
 }
-.rftIconSurvey {
+.rftIconSessionActive {
     background-position: -96px 0px;
 }
-.rftIconQuestion {
+.rftIconSessionTemplate {
     background-position: -128px 0px;
 }
-.rftIconQuestionAlt {
+.rftIconSurvey {
     background-position: -160px 0px;
 }
-.rftIconAccept {
+.rftIconQuestion {
     background-position: -192px 0px;
 }
-.rftIconCancel {
+.rftIconQuestionFill {
     background-position: -224px 0px;
 }
-.rftIconDelete {
+.rftIconRespondent {
     background-position: -256px 0px;
 }
-.rftIconHome {
+.rftIconAnswer {
     background-position: -288px 0px;
 }
-.rftIconPreview {
+.rftIconAnswerSet {
     background-position: -320px 0px;
 }
-.rftIconSave {
+.rftIconGameData {
     background-position: -352px 0px;
 }
-.rftIconSettings {
+.rftIconUser {
     background-position: -384px 0px;
 }
-.rftIconUndo {
+.rftIconAccept {
     background-position: -416px 0px;
 }
-.rftIconPrevious {
+.rftIconCancel {
     background-position: -448px 0px;
 }
-.rftIconNext {
+.rftIconPlus {
     background-position: -480px 0px;
 }
-.rftIconHalfArrowUp {
+.rftIconMinus {
     background-position: -512px 0px;
 }
-.rftIconHalfArrowDown {
+.rftIconIncrease {
     background-position: -544px 0px;
 }
-.rftIconHalfArrowLeft {
+.rftIconDecrease {
     background-position: -576px 0px;
 }
-.rftIconHalfArrowRight {
+.rftIconDelete {
     background-position: -608px 0px;
 }
-.rftIconFullArrowUp {
+.rftIconHome {
     background-position: -640px 0px;
 }
-.rftIconFullArrowDown {
+.rftIconPreview {
     background-position: -672px 0px;
 }
-.rftIconFullArrowLeft {
+.rftIconSave {
     background-position: -704px 0px;
 }
-.rftIconFullArrowRight {
+.rftIconDiscard {
     background-position: -736px 0px;
 }
-.rftIconHelp {
+.rftIconSettings {
     background-position: -768px 0px;
 }
-.rftIconInspect {
+.rftIconUndo {
     background-position: -800px 0px;
 }
-.rftIconMinus {
+.rftIconRedo {
     background-position: -832px 0px;
 }
-.rftIconPlus {
+.rftIconBack {
     background-position: -864px 0px;
 }
-
-/*  The following do not yet have an icon and are displaced a bit to make room for possible extra inlineIcons.
-    The reserved offsets are:  896, 928, 960, 992, 1024, 1056 and 1088 */
-.rftIconRespondent {
+.rftIconForward {
+    background-position: -896px 0px;
+}
+.rftIconRefresh {
+    background-position: -928px 0px;
+}
+.rftIconHelp {
+    background-position: -960px 0px;
+}
+.rftIconInspect {
+    background-position: -992px 0px;
+}
+.rftIconFullArrowUp {
+    background-position: -1024px 0px;
+}
+.rftIconFullArrowDown {
+    background-position: -1056px 0px;
+}
+.rftIconFullArrowLeft {
+    background-position: -1088px 0px;
+}
+.rftIconFullArrowRight {
     background-position: -1120px 0px;
 }
-.rftIconAnswerSet {
+.rftIconHalfArrowUp {
     background-position: -1152px 0px;
 }
-.rftIconAnswer {
+.rftIconHalfArrowDown {
     background-position: -1184px 0px;
 }
-.rftIconGameData {
+.rftIconHalfArrowLeft {
     background-position: -1216px 0px;
 }
+.rftIconHalfArrowRight {
+    background-position: -1248px 0px;
+}
Index: Dev/branches/rest-dojo-ui/client/rft/css/rftSelector.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/rftSelector.css	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/css/rftSelector.css	(revision 342)
@@ -56,4 +56,8 @@
     color: #ffffff;
 }
+.claro .rftLineWithButtons.trans {
+    background-color: transparent;
+    color: #ffffff;
+}
 
 /* Background colour settings for the various contexts of rftLineWithButtons */
@@ -103,2 +107,18 @@
     background-color: #00ff00;
 }
+
+/* rftSessionBar */
+.claro .rftSessionBar {
+    margin: 8px 0;
+}
+.claro .rftSessionBar .rftIcon.typeIcon {
+    background-image: url('images/icons/rftIcons32.png');
+    height: 32px;
+    width: 32px;
+    margin: 20px 8px;
+    float: left;
+}
+.claro .rftSessionBar .rftLineWithButtons {
+    margin: 0;
+    padding: 0;
+}
Index: Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidgetThijs.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidgetThijs.js	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidgetThijs.js	(revision 342)
@@ -28,12 +28,9 @@
                             baseClass: 'rftBlockButton',
                             modifiers: this.modifiers,
-                            label: action,
-                            iconClass: 'rftIcon rftIcon'+action,
+                            label: "Default",
+                            iconClass: 'rftIcon rftIcon'+this.actions[action].properties.icon,
                             title: action,
-                            onClick: lang.hitch(this, function(){
-                                this.actions[action].callback(this.userObject);
-                            })
-                        },
-                        this.actions[action].properties);
+                            onClick: lang.hitch(this, this.actions[action].callback)
+                        }, this.actions[action].properties);
                         properties["class"] = properties.modifiers;
                         new Button(properties).placeAt(this.buttonsNode);
@@ -42,12 +39,10 @@
                             baseClass: 'rftInlineButton',
                             modifiers: 'black',
+                            label: "Default",
                             showLabel: false,
-                            iconClass: 'rftIcon rftIcon'+action,
+                            iconClass: 'rftIcon rftIcon'+this.actions[action].properties.icon,
                             title: action,
-                            onClick: lang.hitch(this, function(){
-                                this.actions[action].callback(this.userObject);
-                            })
-                        },
-                        this.actions[action].properties);
+                            onClick: lang.hitch(this, this.actions[action].callback)
+                        }, this.actions[action].properties);
                         properties["class"] = properties.modifiers;
                         new Button(properties).placeAt(this.buttonsNode);
@@ -65,5 +60,9 @@
                 return !preventDefault;
             },
-            onClick: function(e) {}
+            onClick: function(e) {},
+            _setTitleAttr: function(value){
+                this.title = value;
+                this.refresh();
+            }
         });
     });
Index: Dev/branches/rest-dojo-ui/client/rft/ui/SelectorThijs.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/SelectorThijs.js	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/SelectorThijs.js	(revision 342)
@@ -37,9 +37,11 @@
                     modifiers: this.modifiers,
                     actions: {
-                        "Accept" : {
+                        "AddToSurvey" : {
                             callback: function(arg){},
                             properties: {
                                 blockButton: true,
-                                modifiers: this.modifiers
+                                modifiers: this.modifiers,
+                                icon: "Accept",
+                                label: "Include"
                             }
                         }
@@ -50,5 +52,5 @@
                     modifiers: this.modifiers,
                     actions: {
-                        "HalfArrowDown" : {
+                        "ToggleDropdown" : {
                             callback: lang.hitch(this,function(){
                                 var node = this.optionsNode;
@@ -87,5 +89,6 @@
                                 blockButton: true,
                                 modifiers: this.modifiers,
-                                showLabel: false
+                                showLabel: false,
+                                icon: "HalfArrowDown"
                             }
                         }
@@ -95,9 +98,10 @@
                     title: 'Are there direct colleagues among the other participants?',
                     actions: {
-                        "Inspect" : {
+                        "InfoHover" : {
                             callback: infoFunction,
                             properties: {
                                 blockButton: false,
-                                showLabel: false
+                                showLabel: false,
+                                icon: "Inspect"
                             }
                         }
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/List.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/List.html	(revision 340)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/List.html	(revision 342)
@@ -1,8 +1,8 @@
 <div>
     <div data-dojo-attach-point="containerNode"></div>
-    <div>
-        <span>Move selected</span>
-        <button data-dojo-type="dijit.form.Button">Up</button>
-        <button data-dojo-type="dijit.form.Button">Down</button>
+    <div style="float: right;">
+        <span>Move selected: </span>
+        <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftBlockButton', iconClass:'rftIcon rftIconFullArrowUp'" class="trans"></button>
+        <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftBlockButton', iconClass:'rftIcon rftIconFullArrowDown'" class="trans"></button>
     </div>
 </div>